Bug 661410 - Add rmath to the package
Summary: Add rmath to the package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mathomatic
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 18:57 UTC by Fabian Deutsch
Modified: 2011-03-20 21:24 UTC (History)
1 user (show)

Fixed In Version: mathomatic-15.5.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 03:04:43 UTC


Attachments (Terms of Use)

Description Fabian Deutsch 2010-12-08 18:57:18 UTC
Hello.

I just installed mathomatic and am missing rmath ... which is somewhat enhanced. It would be nice if this could also be packaged.

Thanks.

Comment 1 Terje Røsten 2011-01-17 14:13:01 UTC
Thanks for your report.

Comment 2 Terje Røsten 2011-01-17 14:14:19 UTC
Fixed in rawhide:
 http://koji.fedoraproject.org/koji/buildinfo?buildID=214459

Comment 3 Fedora Update System 2011-01-17 14:48:34 UTC
mathomatic-15.4.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mathomatic-15.4.0-1.fc14

Comment 4 Fedora Update System 2011-01-17 14:48:41 UTC
mathomatic-15.4.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mathomatic-15.4.0-1.fc13

Comment 5 Fedora Update System 2011-01-29 17:25:28 UTC
mathomatic-15.4.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-01-29 17:25:40 UTC
mathomatic-15.4.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fabian Deutsch 2011-03-04 16:52:47 UTC
Hey. I just tested the new package and it seems as if some macros are missing:

$ rmath
rlwrap 0.37
m4: warning: `m4 -e' is deprecated, use `-i' instead
m4: cannot open `/usr/share/doc/mathomatic/m4/functions.m4': No such file or directory
Mathomatic version 15.4.0 (www.mathomatic.org)
Copyright (C) 1987-2011 George Gesslein II.
200 equation spaces available, 1920 kilobytes per equation space.
ANSI color mode enabled; disable with the -c option or "set no color".
1-> sin(3) + x
1-> sin(3) + x
    ^ Named functions currently not implemented, except when using m4.
1-> 
End of input.
Goodbye!


I suppose it will help adding "docs/m4"

Comment 8 Fedora Update System 2011-03-05 21:54:04 UTC
mathomatic-15.5.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mathomatic-15.5.0-1.fc13

Comment 9 Fedora Update System 2011-03-05 21:54:11 UTC
mathomatic-15.5.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mathomatic-15.5.0-1.fc15

Comment 10 Fedora Update System 2011-03-05 21:54:17 UTC
mathomatic-15.5.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mathomatic-15.5.0-1.fc14

Comment 11 Fedora Update System 2011-03-06 03:44:22 UTC
mathomatic-15.5.0-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mathomatic'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mathomatic-15.5.0-1.fc15

Comment 12 Fedora Update System 2011-03-10 03:04:38 UTC
mathomatic-15.5.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-15 21:53:39 UTC
mathomatic-15.5.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-20 21:24:22 UTC
mathomatic-15.5.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.